Last Comment Bug 8443 - [Blocker]HTTP charset does not work
: [Blocker]HTTP charset does not work
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P3 blocker (vote)
: M10
Assigned To: rpotts (gone)
: Teruko Kobayashi
: Makoto Kato [:m_kato]
Mentors:
http://babel/tests/http_charset.html
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-06-17 15:18 PDT by Frank Tang
Modified: 1999-09-10 15:34 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Frank Tang 1999-06-17 15:18:31 PDT
Depend on Necko.
Comment 1 bobj 1999-06-22 15:40:59 PDT
Chris,
Why did you remove the necko dependency?
We need netlib to parse the HTTP Content-Type header for the charset parameter
and set this info someplace (as libnet has done for years).  This is our
dependency on necko.

Then we need to grab that info, so that the appropriate converter will be
called if the HTTP Content-Type specifies a charset.
Comment 2 Teruko Kobayashi 1999-06-24 15:59:59 PDT
I created the test cases for Http charset in http://babel/tests/http_charset.html
Comment 3 Frank Tang 1999-06-25 12:36:59 PDT
warran, plesae reassing this back to me after we can access the http header from
the caller when it became the default build. Please also supply how to access
information . Thanks.If possible, please mark the Target Milestone to a
reasonable one .Thanks. I need the "charset=" attribute from the "Content-Type"
header, if it exist.
Comment 4 chris hofmann 1999-07-06 15:40:59 PDT
necko now lands in m9
Comment 5 Warren Harris 1999-08-03 20:10:59 PDT
Related to bug 11133.
Comment 6 Paul MacQuiddy 1999-08-09 21:16:59 PDT
bug 11133 is fixed now
Comment 7 Teruko Kobayashi 1999-08-16 15:43:59 PDT
This still does not work in 8-16 Win32, Mac, and Linux build.
Comment 8 leger 1999-08-20 13:13:59 PDT
Is this an M9 blocker?  If not please move to M10...if so, please mark blocker.
 Thanks!
Comment 9 Teruko Kobayashi 1999-08-20 13:30:59 PDT
I move this to M10.  I put the broker for M10.
Comment 10 rpotts (gone) 1999-08-30 21:47:59 PDT
I've added GetCharset() to nsIHTTPChannel...

-- rick
Comment 11 Teruko Kobayashi 1999-09-10 15:34:59 PDT
I verified this in 9-10 Win32, Mac, and Linux build.

Note You need to log in before you can comment on or make changes to this bug.